package com.sf.day06;

/**
 * 根据所有小动物的共同属性抽象出来的一个类
 */
public class Animal {
    public String name;
    public int age;

    //成员方法
    public void eat(){
        System.out.println("小动物吃吃");
    }

    /**
     * eat的重载方法
     */
    public void eat(String name){
        System.out.println(name+"吃吃");
    }

    public void run(){
        System.out.println("小动物溜溜");
    }

    public void run(String name){
        System.out.println(name+"溜溜");
    }


}
